# Poco

# template < class TArgs >

# class AbstractPriorityDelegate

Library: Foundation
Package: Events
Header: Poco/AbstractPriorityDelegate.h

## Description

Base class for PriorityDelegate and PriorityExpire.

Extends AbstractDelegate with a priority value.

## Inheritance

Direct Base Classes: AbstractDelegate < TArgs >

All Base Classes: AbstractDelegate < TArgs >

## Member Summary

Member Functions: priority

## Constructors

### AbstractPriorityDelegate

AbstractPriorityDelegate(
int prio
);

### AbstractPriorityDelegate

AbstractPriorityDelegate(
const AbstractPriorityDelegate & del
);

## Destructor

### ~AbstractPriorityDelegate

virtual ~AbstractPriorityDelegate();

## Member Functions

### priority

int priority() const;

## Variables

### _priority

int _priority;